<template>
  <form :id="id" @submit="onSubmit" :action="action" :method="method">
    <slot></slot>
  </form>
</template>

<script lang="ts">
import Vue from "vue";

export default Vue.extend({
  name: "BaseForm",

  props: {
    id: {
      type: String,
      default: "form-new",
      required: false
    },
    onSubmit: {
      type: Function,
      required: true
    },
    action: {
      type: String,
      required: false
    },
    method: {
      type: String,
      required: false,
      default: "post",
      validator: function(value) {
        const accepteableValues = ["post", "get"];
        return accepteableValues.indexOf(value) !== -1;
      }
    }
  }
});
</script>

<style module lang="scss">
.card {
  padding: 30px 40px;
  border: 1px solid $color--border;
  width: 100%;
}
</style>
